<?php

// Tracking impressions and conversions
add_action('inbound_store_lead_pre','lp_set_conversion',10,1);
function lp_set_conversion($data)
{
	//error_log(print_r($data,true));
	// Update Landing Page Conversions
	if($data['post_type'] === 'landing-page' )
	{			
		$disable_admin_tracking = get_option( 'lp-main-landing-page-disable-admin-tracking', '0' );
		
		if ( empty($data['wpleads_email_address']) && $data['element_type'] == 'FORM' ) {
			return; 
		}
		
		if ( $disable_admin_tracking && current_user_can( 'manage_options' ) ) {
			return;
		}
		
		$lp_conversions = get_post_meta( $data['page_id'], 'lp-ab-variation-conversions-'.$data['variation'], true );
		$lp_conversions++;
		update_post_meta(  $data['page_id'], 'lp-ab-variation-conversions-'.$data['variation'], $lp_conversions );
		
	} else {
		$conversions = get_post_meta( $data['page_id'], '_inbound_conversions_count', true );
		$conversions++;
		update_post_meta(  $data['page_id'], '_inbound_conversions_count', $conversions );
	}
}

function lp_set_page_views($postID) {
    $count_key = 'lp_page_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
    }else{
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
}

function lp_get_conversions($postID) {
    $count_key = 'lp_page_conversions_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
        return "0";
   }
   return $count;
}


function lp_set_conversions($postID) {
    $count_key = 'lp_page_conversions_count';
    $count = get_post_meta($postID, $count_key, true);
	//mail('hudson.atwell@gmail.com','hello',$count);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
    }else{
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
}

function lp_get_page_views($postID) {
    $count_key = 'lp_page_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
        return;
   }
   return $count;
}

?>